Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Interface MessageListener

All Known Implementing Classes:
  ChannelCoordinator

    public interface MessageListener

Title: MessageListener

Description: The listener to be registered with the ChannelReceiver, internal Tribes component

Version:
  1.0
Author:
  Filip Hanik

Method Summary
`boolean` | `accept(ChannelMessage msg)`
`boolean` | `equals(java.lang.Object listener)`
`int` | `hashCode()`
`void` | `messageReceived(ChannelMessage msg)` Receive a message from the IO components in the Channel stack

Method Detail

### messageReceived

    void messageReceived(ChannelMessage msg)

  Receive a message from the IO components in the Channel stack

  Parameters:
    `msg` - ChannelMessage

### accept

    boolean accept(ChannelMessage msg)

### equals

    boolean equals(java.lang.Object listener)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.